API Docs / Operations / Task - Notes / List Notes for Task

List Notes for Task

GET /tenants/{tenant}/tasks/{taskCode}/taskitemnote

Lists notes for the specified task. By default only returns task-level notes. Set includeStepNotes=true to also include notes attached to workflow steps.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

search query string
includeStepNotes query boolean
taskCode* path string
offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

Date UpdatedDate

Field to sort by.

Date UpdatedDate

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

Responses

401 Unauthorized - Invalid or missing API key

Try it